; 運用環境の設定データ
[production]
webhost                  = www.example.com
database.adapter         = pdo_mysql
database.params.host     = db.example.com
database.params.username = dbuser
database.params.password = secret
database.params.dbname   = dbname

; 開発環境の設定データは、運用環境のデータを継承したうえで
; 必要に応じて値を上書きします
[staging : production]
database.params.host     = dev.example.com
database.params.username = devuser
database.params.password = devsecret

[regist]
; フォーム全般のメタ情報
user.regist.action = "confirm"
user.regist.method = "post"

; username 要素
user.regist.elements.username.type = "text"
;user.regist.elements.username.options.validators.alnum.validator = "alnum"
user.regist.elements.username.options.validators.regex.validator = "regex"
user.regist.elements.username.options.validators.regex.options.pattern = "/^[0-9a-z_\-]+$/"
user.regist.elements.username.options.validators.strlen.validator = "StringLength"
user.regist.elements.username.options.validators.strlen.options.min = "5"
user.regist.elements.username.options.validators.strlen.options.max = "20"
user.regist.elements.username.options.required = true

; password 要素
user.regist.elements.password.type = "password"
user.regist.elements.password.options.validators.strlen.validator = "StringLength"
user.regist.elements.password.options.validators.strlen.options.min = "5"
user.regist.elements.password.options.required = true

; email 要素
user.regist.elements.email.type = "text"
user.regist.elements.email.options.required = false
user.regist.elements.email.options.validators.regex.validator = "regex"
user.regist.elements.email.options.validators.regex.options.pattern = "/^[0-9a-z_\-\.@%!\/]+$/"

; authority 要素
user.regist.elements.authority.type = "text"
user.regist.elements.authority.options.required = true
user.regist.elements.authority.options.validators.strlen.validator = "Between"
user.regist.elements.authority.options.validators.strlen.options.min = "1"
user.regist.elements.authority.options.validators.strlen.options.max = "2"

; submit 要素
user.regist.elements.submit.type = "submit"

[index : regist]

[confirm : regist]
user.regist.action = "complete"

[editconfirm : regist]

[complete : regist]
user.regist.action = "complete"

[editcomplete : regist]
user.regist.action = "complete"

[pwremind : regist]

; uid 要素
user.regist.elements.uid.type = "text"
user.regist.elements.uid.options.required = true
user.regist.elements.uid.options.validators.strlen.validator = "int"



